## kubuntu-default-settings 8.10-13

=== Makefile ===

VERSION = 5.03

WALLPAPER_DIR = $(DESTDIR)/usr/share/wallpapers
SOUNDS_DIR = $(DESTDIR)/usr/share/sounds
KONQ_TILES_DIR = $(DESTDIR)/usr/share/apps/konqueror/tiles
KDM_THEME_DIR = $(DESTDIR)/usr/share/apps/kdm/themes/kubuntu
KDM_THEME_NO_USERLIST_DIR = $(DESTDIR)/usr/share/apps/kdm/themes/kubuntu-no-userlist
KDM_OVERRIDE = $(DESTDIR)/etc/default/kdm.d/
KSPLASH_THEME_DIR = $(DESTDIR)/usr/share/apps/ksplash/Themes/kubuntu
SETTINGS_DIR = $(DESTDIR)/usr/share/kubuntu-default-settings
CURSOR_DIR = $(DESTDIR)/usr/share/icons/contrastlarge

build:
	make -C usplash

clean:
	make -C usplash clean

install:
	make -C usplash install

	# The default wallpaper comes from kdebase now...
	#mkdir -p "$(WALLPAPER_DIR)"
	#install -m644 artwork/kubuntu-wallpaper.jpg  #"$(WALLPAPER_DIR)"
	#install -m644 artwork/kubuntu-wallpaper.jpg.desktop  #"$(WALLPAPER_DIR)"

	# We're using KDE's default login sound this time around
	# mkdir -p "$(SOUNDS_DIR)"
	# install -m644 artwork/kubuntu-login.ogg  "$(SOUNDS_DIR)"

	# Yet again, we're using the KDE defaults for Intrepid
	#mkdir -p "$(KDM_THEME_DIR)"
	#install -m644 artwork/kdm-theme/*  "$(KDM_THEME_DIR)"

	#mkdir -p "$(KDM_THEME_NO_USERLIST_DIR)"
	#install -m644 artwork/kdm-theme-no-userlist/*  "$(KDM_THEME_NO_USERLIST_DIR)"

	# You know the drill, using KDE defaults here, which are quite teh 
	# sexeh
	#mkdir -p "$(KSPLASH_THEME_DIR)"
	#install -m644 artwork/ksplash/*  "$(KSPLASH_THEME_DIR)"
	#ln -s /usr/share/wallpapers/kubuntu-wallpaper.jpg "$(KSPLASH_THEME_DIR)/Background.jpg"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/amarok/themes/kubuntu"
	install -m644 kde3/artwork/amarok/*  "$(SETTINGS_DIR)/kde-profile/default/share/apps/amarok/themes/kubuntu"

	mkdir -p "$(DESTDIR)/etc"
	install -m644 kde-profile/kderc "$(DESTDIR)/etc"
	install -m644 kde-profile/kde4rc "$(DESTDIR)/etc"
	install -m644 kde-profile/kde-user-profile "$(DESTDIR)/etc"

	mkdir -p "$(DESTDIR)/etc/qt3"
	install -m644 qt-rc-files/*rc "$(DESTDIR)/etc/qt3"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	install -m644 kde3/kde-rc-files/*rc "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	# Apparently we're just using the KDE defaults here too.
	#install -m644 kde-rc-files/uiserver "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	install -m644 kde3/kde-rc-files/kdeglobals "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	install -m644 kde3/kde-rc-files/cryptodefaults "$(SETTINGS_DIR)/kde-profile/default/share/config/"

	mkdir -p "$(SETTINGS_DIR)/kde4-profile/default/share/config"
	install -m644 kde-rc-files/*rc "$(SETTINGS_DIR)/kde4-profile/default/share/config/"
	install -m644 kde-rc-files/cryptodefaults "$(SETTINGS_DIR)/kde4-profile/default/share/config/"
	#kdeglobals doesn't seem to work in our profile dir, also put a copy in /etc/kde4
	install -m644 kde-rc-files/kdeglobals "$(SETTINGS_DIR)/kde4-profile/default/share/config/"
	mkdir -p "$(DESTDIR)/etc/kde4/"
	install -m644 kde-rc-files/kdeglobals "$(DESTDIR)/etc/kde4/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/color-schemes/"
	install -m644 colour-schemes/*colors "$(SETTINGS_DIR)/kde-profile/default/share/apps/color-schemes/"

	#mkdir -p "$(CURSOR_DIR)/cursors"
	#install -m644 cursors/index.theme "$(CURSOR_DIR)/"
	#mkdir -p "$(CURSOR_DIR)cursors/"
	#install -m644 cursors/contrastlarge/cursors/* "$(CURSOR_DIR)/cursors/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"
	install -m644 ui-rc-files/konqueror.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konversation/"
#	install -m644 ui-rc-files/konversationui.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konversation/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kopete/"
	install -m644 ui-rc-files/kopetechatwindow.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/kopete/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/gwenview/"
	install -m644 ui-rc-files/gwenviewui.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/gwenview/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/servicemenus/"
	install -m644 konqueror-profile/email.desktop "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/servicemenus/email.desktop"
	mkdir -p "$(DESTDIR)/usr/bin"
	install -m644 konqueror-profile/konq_plugins.xml "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/16x16/actions/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/22x22/actions/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/32x32/actions/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/48x48/actions/"

	install -m644 kde3/artwork/throbber/16x16/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/16x16/actions/"
	install -m644 kde3/artwork/throbber/22x22/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/22x22/actions/"
	install -m644 kde3/artwork/throbber/32x32/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/32x32/actions/"
	install -m644 kde3/artwork/throbber/48x48/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/48x48/actions/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/64x64/actions/"
	install -m644 kaffeine/fileopen64.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/64x64/actions/fileopen.png"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/128x128/actions/"
	install -m644 kaffeine/fileopen128.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/128x128/actions/fileopen.png"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/scalable/actions/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kaffeine/"
	install -m644 kaffeine/wizard_stamp_v0.7.1 "$(SETTINGS_DIR)/kde-profile/default/share/apps/kaffeine"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kpdfpart/"
	install -m644 kpart-rc-files/part.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/kpdfpart/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/gvimagepart/"
	install -m644 kpart-rc-files/gvimagepart.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/gvimagepart/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"
	install -m644 kpart-rc-files/ark_part.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"
	install -m644 kpart-rc-files/ark_part_readonly.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/ksvg/"
	install -m644 kpart-rc-files/ksvgplugin.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/ksvg/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/khtml/"
	install -m644 kpart-rc-files/khtml_browser.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/khtml/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tar.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tarz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tbz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tgz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-zip.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqiconview/kpartplugins/"
	install -m644 kpart-plugins/dirfilterplugin.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqiconview/kpartplugins/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwallet/"
	install -m644 kwallet-default-wallet/kdewallet.kwl "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwallet/"

	# We're not using this for Intrepid
	#mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwin/"
	#install -m644 artwork/window-decoration-gradient.png "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwin/"
	#install -m644 artwork/window-decoration-gradient-inactive.png "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwin/"

	install -m644 gtk-qt-engine-rc-files/dot-gtkrc-2.0-kde4 "$(SETTINGS_DIR)/dot-gtkrc-2.0-kde4"
	install -m644 gtk-qt-engine-rc-files/gtk-qt-engine.rc.sh "$(SETTINGS_DIR)/gtk-qt-engine.rc.sh"
	install -m644 hal/hal-policy-ntfs-config-write-policy.fdi "$(SETTINGS_DIR)/hal-policy-ntfs-config-write-policy.fdi"

	#FIXME needs porting to KDE 4
	#mkdir -p "$(SETTINGS_DIR)/kde-profile/lesser-visual-impairment/share/config/"
	#cp -r accessibility/lesser-visual-impairment/* "$(SETTINGS_DIR)/kde-profile/lesser-visual-impairment/share/config/"
	#mkdir -p "$(SETTINGS_DIR)/kde-profile/moderate-visual-impairment/share/config/"
	#cp -r accessibility/moderate-visual-impairment/* "$(SETTINGS_DIR)/kde-profile/moderate-visual-impairment/share/config/"
	#mkdir -p "$(SETTINGS_DIR)/kde-profile/minor-motor-difficulties/share/config/"
	#cp -r accessibility/minor-motor-difficulties/* "$(SETTINGS_DIR)/kde-profile/minor-motor-difficulties/share/config/"
	#mkdir -p "$(SETTINGS_DIR)/kde-profile/motor-difficulties-pointing-devices/share/config/"
	#cp -r accessibility/motor-difficulties-pointing-devices/* "$(SETTINGS_DIR)/kde-profile/motor-difficulties-pointing-devices/share/config/"
	#mkdir -p "$(SETTINGS_DIR)/kde-profile/motor-difficulties-pointing-devices/share/Autostart/"
	#ln -s /usr/bin/kmousetool "$(SETTINGS_DIR)/kde-profile/motor-difficulties-pointing-devices/share/Autostart/kmousetool"

	mkdir -p "$(DESTDIR)/etc/kubuntu-default-settings"
	install -m644 kde-hidden/hidden-media "$(DESTDIR)/etc/kubuntu-default-settings/"
	install -m644 kde-hidden/directory-media "$(DESTDIR)/etc/kubuntu-default-settings/"
	install -m644 kde-hidden/directory-home "$(DESTDIR)/etc/kubuntu-default-settings/"

	#mkdir -p "$(KDM_OVERRIDE)"
	#install -m644 kdm-settings/20_kubuntu_default_settings "$(KDM_OVERRIDE)"

	mkdir -p "$(DESTDIR)/etc/X11/Xsession.d"
	install -p -D -m644 laptop-buttons/80kubuntu-xmodmap "$(DESTDIR)/etc/X11/Xsession.d/80kubuntu-xmodmap"
	install -p -D -m644 laptop-buttons/kubuntu.xmodmap "$(SETTINGS_DIR)/kubuntu.xmodmap"
	install -p -D -m644 laptop-buttons/kubuntu.xmodmap.README "$(SETTINGS_DIR)/kubuntu.xmodmap.README"

	mkdir -p "$(SETTINGS_DIR)/kde4-profile/default/share/apps/desktoptheme/default/widgets/"
	install -p -D -m644 artwork/branding.svg "$(SETTINGS_DIR)/kde4-profile/default/share/apps/desktoptheme/default/widgets/"

=== debian/changelog ===
kubuntu-default-settings (1:8.10-13) intrepid; urgency=low

  [ Ryan Kavanagh ]
  * Set the default deck in lskat and kpat to the Oxygen White (SVG).
    (LP: #277193, #277909)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 14 Oct 2008 16:17:11 -0400

kubuntu-default-settings (1:8.10-12) intrepid; urgency=low

  * Fix typo in kickoffrc (made Kontact unstartable)
  * Add new branding for kickoff (thanks to kwwii!)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 14 Oct 2008 15:15:59 +0200

kubuntu-default-settings (1:8.10-11) intrepid; urgency=low

  * Better background colour in kdeglobals, from apachelogger
  * Replace kubuntuColours.kcsrc with Kubuntu.colors for KDE 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Oct 2008 17:21:55 +0100

kubuntu-default-settings (1:8.10-10) intrepid; urgency=low

  * Add kickoffrc for default favorites

 -- Harald Sitter <apachelogger@ubuntu.com>   Wed, 08 Oct 2008 18:11:25 +0200

kubuntu-default-settings (1:8.10-9) intrepid; urgency=low

  [ Jonathan Riddell ]
  * Set sizerule=3 in kwinrulesrc, fixes maximise button not showing

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 28 Sep 2008 20:25:21 +0200

kubuntu-default-settings (1:8.10-8) intrepid; urgency=low

  * laptop-buttons/kubuntu.xmodmap: Removed "keycode 118 = XF86Music", it's now used by
    Xorg for the Insert key
  * Add branding.svg used by kickoff

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 24 Sep 2008 19:27:23 +0200

kubuntu-default-settings (1:8.10-7) intrepid; urgency=low

  * Add kde-rc-files/kwinrulesrc from Celeste to set default size of
    various application windows

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Sep 2008 01:04:24 +0100

kubuntu-default-settings (1:8.10-6) intrepid; urgency=low

  [ Harald Sitter ]
  * Make Konqueror not identify as firefox, so that GMail directs to the HTML
    interface, which can be rendered properly. (LP: #256039, #178827)
  * Initialise Java properly. (LP: #138736)

  [ Jonathan Riddell ]
  * Turn on cover switcher in kwinrc
	
 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 19 Sep 2008 15:46:51 +0200

kubuntu-default-settings (1:8.10-5) intrepid; urgency=low

  * Update gtk-qt-engine-rc-files for Qt 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Sep 2008 13:19:16 +0100

kubuntu-default-settings (1:8.10-4) intrepid; urgency=low

  * kdeglobals doesn't seem to work in our profile dir, also put a copy in /etc/kde4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Sep 2008 12:43:57 +0100

kubuntu-default-settings (1:8.10-3) intrepid; urgency=low

  [ Jonathan Thomas ]
  * Add SwitchTabsOnHover setting in plasma-appletsrc to the right config 
    section
  * Add default shortcuts for switching desktops. (LP: #212796)
  * Turn kblank screensaver on by default. (LP: #108355)
  * Remove the Oxygen Konversation nicklist theme, which is included in 
    upstream now.

  [ Jonathan Riddell ]
  * Set text alongside icons
  * Lighter background colour

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Wed, 06 Aug 2008 21:15:20 -0400

kubuntu-default-settings (1:8.10-2) intrepid; urgency=low

  * Change some keycodes in kubuntu.xmodmap, Qt can't use
    XF86LaunchE for no apparant reason

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2008 20:45:10 +0100

kubuntu-default-settings (1:8.10-1) intrepid; urgency=low

  [ Jonathan Thomas ]
  * Place contents of kde4/ in the root directory, move kde3 equivalents 
    to kde3/
  * Add new plasma-appletsrc
  * Removed Kicker stuff from the Makefile

  [ Jonathan Riddell ]
  * Add laptop-buttons files for xmodmap

  [ Harald Sitter ]
  * Migrate KDE 3 configurations to KDE 4
    + kontactrc
    + ktiprc
    + yakuakerc
    + kgpgrc
    + kbookmarkrc
    + klaunchrc
    + khelpcenterrc
    + knotesrc
    + kmailrc
    + korgacrc
  * Switch Oxygen theming to original instead of using these horrible lines
  * Bump Standars-Version from 3.7.3 to 3.8.0
  * Use Oxygen icon spec on kde-hidden
  * Removed artwork:
    + kubuntu-panel
    + kubuntu-kmenu-side(-tile)
    + metabar
    + kubuntu-konqueror-background(-classic)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 07 Jul 2008 11:59:06 +0200

=== debian/control ===
Source: kubuntu-default-settings
Section: kde
Priority: optional
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 5.0), cdbs, libusplash-dev
Standards-Version: 3.8.0

Package: kubuntu-default-settings
Architecture: all
Depends:
Recommends: 
Description: Default settings and artwork for the Kubuntu desktop
 This package contains the default settings used by Kubuntu.  It also
 includes artwork and Kubuntu branding.

Package: kubuntu-artwork-usplash
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Description: kubuntu artwork for usplash
 The usplash startup screen for kubuntu.

## kubuntu-default-settings 9.04.26

=== Makefile ===

VERSION = 5.03

WALLPAPER_DIR = $(DESTDIR)/usr/share/wallpapers
SOUNDS_DIR = $(DESTDIR)/usr/share/sounds
KONQ_TILES_DIR = $(DESTDIR)/usr/share/apps/konqueror/tiles
KDM_THEME_DIR = $(DESTDIR)/usr/share/apps/kdm/themes/kubuntu
KDM_THEME_NO_USERLIST_DIR = $(DESTDIR)/usr/share/apps/kdm/themes/kubuntu-no-userlist
KDM_OVERRIDE = $(DESTDIR)/etc/default/kdm.d/
KSPLASH_THEME_DIR = $(DESTDIR)/usr/share/apps/ksplash/Themes/kubuntu
SETTINGS_DIR = $(DESTDIR)/usr/share/kubuntu-default-settings
CURSOR_DIR = $(DESTDIR)/usr/share/icons/contrastlarge
KCONF_UPDATE_DIR = $(DESTDIR)/usr/share/apps/kconf_update

build:
	make -C usplash

clean:
	make -C usplash clean

install:
	make -C usplash install

	# The default wallpaper comes from kdebase now...
	#mkdir -p "$(WALLPAPER_DIR)"
	#install -m644 artwork/kubuntu-wallpaper.jpg  #"$(WALLPAPER_DIR)"
	#install -m644 artwork/kubuntu-wallpaper.jpg.desktop  #"$(WALLPAPER_DIR)"

	# We're using KDE's default login sound this time around
	# mkdir -p "$(SOUNDS_DIR)"
	# install -m644 artwork/kubuntu-login.ogg  "$(SOUNDS_DIR)"

	# Yet again, we're using the KDE defaults for Intrepid
	#mkdir -p "$(KDM_THEME_DIR)"
	#install -m644 artwork/kdm-theme/*  "$(KDM_THEME_DIR)"

	#mkdir -p "$(KDM_THEME_NO_USERLIST_DIR)"
	#install -m644 artwork/kdm-theme-no-userlist/*  "$(KDM_THEME_NO_USERLIST_DIR)"

	# You know the drill, using KDE defaults here, which are quite teh 
	# sexeh
	#mkdir -p "$(KSPLASH_THEME_DIR)"
	#install -m644 artwork/ksplash/*  "$(KSPLASH_THEME_DIR)"
	#ln -s /usr/share/wallpapers/kubuntu-wallpaper.jpg "$(KSPLASH_THEME_DIR)/Background.jpg"

	mkdir -p "$(DESTDIR)/etc"
	install -m644 kde-profile/kderc "$(DESTDIR)/etc"
	install -m644 kde-profile/kde4rc "$(DESTDIR)/etc"
	install -m644 kde-profile/kde-user-profile "$(DESTDIR)/etc"

	mkdir -p "$(DESTDIR)/etc/qt3"
	install -m644 qt-rc-files/*rc "$(DESTDIR)/etc/qt3"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	install -m644 kde3/kde-rc-files/* "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	# Apparently we're just using the KDE defaults here too.
	#install -m644 kde-rc-files/uiserver "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	install -m644 kde3/kde-rc-files/kdeglobals "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	install -m644 kde3/kde-rc-files/cryptodefaults "$(SETTINGS_DIR)/kde-profile/default/share/config/"

	mkdir -p "$(SETTINGS_DIR)/kde4-profile/default/share/config"
	install -m644 kde-rc-files/*rc "$(SETTINGS_DIR)/kde4-profile/default/share/config/"
	install -m644 kde-rc-files/cryptodefaults "$(SETTINGS_DIR)/kde4-profile/default/share/config/"
	#kdeglobals doesn't seem to work in our profile dir, also put a copy in /etc/kde4
	install -m644 kde-rc-files/kdeglobals "$(SETTINGS_DIR)/kde4-profile/default/share/config/"
	mkdir -p "$(DESTDIR)/etc/kde4/"
	install -m644 kde-rc-files/kdeglobals "$(DESTDIR)/etc/kde4/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/color-schemes/"
	install -m644 color-schemes/*colors "$(SETTINGS_DIR)/kde-profile/default/share/apps/color-schemes/"

	mkdir -p "$(CURSOR_DIR)/cursors"
	install -m644 cursors/index.theme "$(CURSOR_DIR)/"
	mkdir -p "$(CURSOR_DIR)cursors/"
	install -m644 cursors/contrastlarge/cursors/* "$(CURSOR_DIR)/cursors/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"
	install -m644 ui-rc-files/konqueror.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konversation/"
#	install -m644 ui-rc-files/konversationui.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konversation/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kopete/"
	install -m644 ui-rc-files/kopetechatwindow.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/kopete/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/servicemenus/"
	install -m644 konqueror-profile/email.desktop "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/servicemenus/email.desktop"
	mkdir -p "$(DESTDIR)/usr/bin"
	install -m644 konqueror-profile/konq_plugins.xml "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/16x16/actions/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/22x22/actions/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/32x32/actions/"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/48x48/actions/"

	install -m644 kde3/artwork/throbber/16x16/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/16x16/actions/"
	install -m644 kde3/artwork/throbber/22x22/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/22x22/actions/"
	install -m644 kde3/artwork/throbber/32x32/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/32x32/actions/"
	install -m644 kde3/artwork/throbber/48x48/kde.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/48x48/actions/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/64x64/actions/"
	install -m644 kde3/kaffeine/fileopen64.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/64x64/actions/fileopen.png"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/128x128/actions/"
	install -m644 kde3/kaffeine/fileopen128.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/128x128/actions/fileopen.png"
	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/scalable/actions/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kaffeine/"
	install -m644 kde3/kaffeine/wizard_stamp_v0.7.1 "$(SETTINGS_DIR)/kde-profile/default/share/apps/kaffeine"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"
	install -m644 kpart-rc-files/ark_part.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"
	install -m644 kpart-rc-files/ark_part_readonly.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/khtml/"
	install -m644 kpart-rc-files/khtml_browser.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/khtml/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tar.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tarz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tbz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-tgz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
	install -m644 mimelnk/x-zip.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwallet/"
	install -m644 kwallet-default-wallet/kdewallet.kwl "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwallet/"

	# We're not using this for Intrepid
	#mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwin/"
	#install -m644 artwork/window-decoration-gradient.png "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwin/"
	#install -m644 artwork/window-decoration-gradient-inactive.png "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwin/"

	install -m644 gtk2-engines-qtcurve-rc-files/dot-gtkrc-2.0-kde4 "$(SETTINGS_DIR)/dot-gtkrc-2.0-kde4"
	install -m744 gtk2-engines-qtcurve-rc-files/gtk2-engines-qtcurve.rc.sh "$(SETTINGS_DIR)/gtk2-engines-qtcurve.rc.sh"
	install -m644 hal/hal-policy-ntfs-config-write-policy.fdi "$(SETTINGS_DIR)/hal-policy-ntfs-config-write-policy.fdi"

	#TODO: polish the accessibility profiles

	#mkdir -p "$(SETTINGS_DIR)/kde4-profile/lesser-visual-impairment/share/config/"
	#cp -r accessibility/lesser-visual-impairment/* "$(SETTINGS_DIR)/kde4-profile/lesser-visual-impairment/share/config/"
	#rm "$(SETTINGS_DIR)/kde4-profile/lesser-visual-impairment/share/config/TODO_kickerrc2plasmarc" # TODO needs porting

	#mkdir -p "$(SETTINGS_DIR)/kde4-profile/moderate-visual-impairment/share/config/"
	#cp -r accessibility/moderate-visual-impairment/* "$(SETTINGS_DIR)/kde4-profile/moderate-visual-impairment/share/config/"
	#rm "$(SETTINGS_DIR)/kde4-profile/moderate-visual-impairment/share/config/TODO_kickerrc2plasmarc" # TODO needs porting

	#mkdir -p "$(SETTINGS_DIR)/kde4-profile/minor-motor-difficulties/share/config/"
	#cp -r accessibility/minor-motor-difficulties/* "$(SETTINGS_DIR)/kde4-profile/minor-motor-difficulties/share/config/"
	#rm "$(SETTINGS_DIR)/kde4-profile/minor-motor-difficulties/share/config/TODO_kickerrc2plasmarc" # TODO needs porting

	#mkdir -p "$(SETTINGS_DIR)/kde4-profile/motor-difficulties-pointing-devices/share/config/"
	#cp -r accessibility/motor-difficulties-pointing-devices/* "$(SETTINGS_DIR)/kde4-profile/motor-difficulties-pointing-devices/share/config/"

	mkdir -p "$(DESTDIR)/etc/kubuntu-default-settings"
	install -m644 kde-hidden/hidden-media "$(DESTDIR)/etc/kubuntu-default-settings/"
	install -m644 kde-hidden/directory-media "$(DESTDIR)/etc/kubuntu-default-settings/"
	install -m644 kde-hidden/directory-home "$(DESTDIR)/etc/kubuntu-default-settings/"

	#mkdir -p "$(KDM_OVERRIDE)"
	#install -m644 kdm-settings/20_kubuntu_default_settings "$(KDM_OVERRIDE)"

	mkdir -p "$(SETTINGS_DIR)/kde4-profile/default/share/apps/desktoptheme/default/widgets/"
	install -p -D -m644 artwork/branding.svgz "$(SETTINGS_DIR)/kde4-profile/default/share/apps/desktoptheme/default/widgets/"

	mkdir -p "$(SETTINGS_DIR)/kde4-profile/default/share/apps/kwin/"
	install -p -D -m644 artwork/cubecap.png "$(SETTINGS_DIR)/kde4-profile/default/share/apps/kwin/"

	mkdir -p "$(KCONF_UPDATE_DIR)"
	install -m644 kconf_update/kubuntu-fix-kwin-default-size.upd $(KCONF_UPDATE_DIR)/
	install -m755 kconf_update/kubuntu-fix-kwin-default-size.py $(KCONF_UPDATE_DIR)/

=== debian/changelog ===
kubuntu-default-settings (1:9.04.26) jaunty; urgency=low

  * Have kubuntu-artwork-usplash provide usplash-theme so usplash-theme-ubuntu
    is not pulled onto the Kubuntu CD

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Apr 2009 21:44:33 -0400

kubuntu-default-settings (1:9.04.25) jaunty; urgency=low

  * Remove KDE3 widget style definition in kde3/kdeglobals, we no longer use
    it by default plus it causes issues (LP: #281016)
  * Remove KDE3 amarok artwork since amarok is now KDE4.
  * Remove various kde-rc-files of KDE3 apps that have been replaced with KDE4
    ones

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Apr 2009 21:31:32 -0400

kubuntu-default-settings (1:9.04.24) jaunty; urgency=low

  * Re-add kickoffrc, it is still used for favorite/recently used apps

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Apr 2009 21:31:32 -0400

kubuntu-default-settings (1:9.04.23) jaunty; urgency=low

  * usplash/usplash-theme-kubuntu.c, t_animate_step_{16,32}: Use the correct
    image's width for calculating the number of pulsating steps. Previously,
    this triggered integer, and thus buffer overflows, which caused screen
    corruption and sometimes complete corruption of the VTs. (LP: #345269)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Mar 2009 22:11:47 +0100

kubuntu-default-settings (1:9.04.22) jaunty; urgency=low

  [ Aurélien Gâteau ]
  * add kconf_update/kubuntu-fix-kwin-default-size.upd to fix broken
    window size rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Mar 2009 17:20:18 +0000

kubuntu-default-settings (1:9.04.21) jaunty; urgency=low

  * Fixed kglobalshortcutsrc:
    - Added action switch to next Desktop to ctrl+alt+right
    - Added action switch to previous Desktop to ctrl+alt+left

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 19 Mar 2009 13:02:06 +0100

kubuntu-default-settings (1:9.04.20) jaunty; urgency=low

  * Add missing files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 23:13:38 +0000

kubuntu-default-settings (1:9.04.19) jaunty; urgency=low

  [ Jonathan Riddell ]
  * Revert plasma-appletsrc back to (near) empty version, 
    it wrongly reappeared again

  [ Anthony Mercatante ]
  * Added digikamrc, to disable the tip of the day 

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 18 Mar 2009 21:57:39 +0100

kubuntu-default-settings (1:9.04.18) jaunty; urgency=low

  * New usplash from Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 16:02:49 +0000

kubuntu-default-settings (1:9.04.17) jaunty; urgency=low

  * Disabled Nepomuk for now

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Wed, 18 Mar 2009 11:57:57 +0100

kubuntu-default-settings (1:9.04.16) jaunty; urgency=low

  * Set plasma defaults in kdebase-workspace not here, closes LP: #309419

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 00:04:34 +0000

kubuntu-default-settings (1:9.04.15) jaunty; urgency=low

  * Replaced gtk-qt-engines stuff by gtk2-engines-qtcurve stuff 

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 14 Mar 2009 18:58:55 +0100

kubuntu-default-settings (1:9.04.14) jaunty; urgency=low

  [ Jonathan Thomas ]
  * Always ask to restore konqueror session to prevent infinite crash loops
  * Add a Vcs-Bzr: field to debian/control so that people can actually be expected
    to know that this is in bzr.

  [ Alessandro Ghersi ]
  * Merge usplash/usplash-theme-kubuntu.c with Ubuntu, usplash theme is stretched
    vertically (instead of horizontally) (LP: #339386)

  [ Guillaume Martres ]
  * Removed kpatrc, hardcoding the default card theme is no longer needed and
    prevent users from getting the new KDE 4.2 theme as default

 -- Guillaume Martres <smarter@ubuntu.com>  Sun, 08 Mar 2009 19:20:36 +0100

kubuntu-default-settings (1:9.04.13) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #6417 for details.
  * debian/control: bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 22:32:27 +0100

kubuntu-default-settings (1:9.04.12) jaunty; urgency=low

  * Set no hover on kickoff tabs, now in plasma-appletsrc not kickoffrc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Feb 2009 15:13:41 +0000

kubuntu-default-settings (1:9.04.11) jaunty; urgency=low

  * kglobalshortcutsrc: set media keys as shortcuts in Amarok

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2009 21:54:46 +0000

kubuntu-default-settings (1:9.04.10) jaunty; urgency=low

  * amarokrc: turn off on screen display by default
  * konquerorrc: make Google default search engine, currently is Google Lucky
  * konquerorrc: Restore session when konqueror didn't close correctly=true (stop asking excessive questions)
  * kdeglobals: confirmNewSession=false, don't show overly verbose and technical dialogue when changing user

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2009 18:09:13 +0000

kubuntu-default-settings (1:9.04.9) jaunty; urgency=low

  * Fixed kopeterc, changed default behavior to "online" so
    that connection works dynamically with kded network status 

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 14 Feb 2009 17:13:43 +0100

kubuntu-default-settings (1:9.04.8) jaunty; urgency=low

  * Fixed kwinrc, disabling UnredirectFullscreen:
    - Closes LP: #327199

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 09 Feb 2009 17:15:45 +0100

kubuntu-default-settings (1:9.04.7) jaunty; urgency=low

  * Added KPackageKit default settings.
  * Fixed Makefile so that it gets installed (name of the file
    not ending with "rc")

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 05 Feb 2009 14:22:01 +0100

kubuntu-default-settings (1:9.04.6) jaunty; urgency=low

  * Fixed network manager plasmoid name in plasma-appletsrc.
    name changed upstream.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 04 Feb 2009 14:24:55 +0100

kubuntu-default-settings (1:9.04.5) jaunty; urgency=low



=== debian/control ===
Source: kubuntu-default-settings
Section: kde
Priority: optional
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 5.0), cdbs, libusplash-dev (>= 0.5.30)
Standards-Version: 3.8.0
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-default-settings/ubuntu

Package: kubuntu-default-settings
Architecture: all
Depends: ${misc:Depends}, python
Recommends: 
Description: Default settings and artwork for the Kubuntu desktop
 This package contains the default settings used by Kubuntu.  It also
 includes artwork and Kubuntu branding.

Package: kubuntu-artwork-usplash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30),
 usplash (>= 0.5-30)
Provides: usplash-theme
Description: Kubuntu artwork for usplash
 The usplash startup screen for Kubuntu.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS=-g -Wall -fPIC

DEB_MAKE_INSTALL_TARGET := install DESTDIR="$(DEB_DESTDIR)"
DEB_INSTALL_DOCS_ALL :=

## kubuntu-default-settings 9.10.18ubuntu28

=== usplash/Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-kubuntu.so:  throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o  throbber_back_32.png.c.o throbber_fore_32.png.c.o usplash_300_200.png.c.o usplash_400_300.png.c.o usplash_600_500.png.c.o usplash-theme-kubuntu.c.o
	$(COMPILE) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-kubuntu.so $(DESTDIR)/usr/lib/usplash/usplash-theme-kubuntu.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
kubuntu-default-settings (1:9.10.18ubuntu28) karmic; urgency=low

  * Remove Popup on desktop switch from kwinrc, it is unpopular and exposes
    bugs in the Window Behavior KCM

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 14 Oct 2009 11:20:16 -0400

kubuntu-default-settings (1:9.10.18ubuntu27) karmic; urgency=low

  * One last fix for arora gestures:
    - match for window class in order not to apply with other windows

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 13 Oct 2009 17:04:05 +0200

kubuntu-default-settings (1:9.10.18ubuntu26) karmic; urgency=low

  * Fixed import template for arora gestures, to avoid reimporting at
    every boot.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 13 Oct 2009 14:36:01 +0200

kubuntu-default-settings (1:9.10.18ubuntu25) karmic; urgency=low

  * Update google_kubuntu.desktop with new URL from LP: #443335

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Oct 2009 16:06:07 +0100

kubuntu-default-settings (1:9.10.18ubuntu24) karmic; urgency=low

  * Added mouse gestures for Arora, disabled by default.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 07 Oct 2009 20:04:47 +0200

kubuntu-default-settings (1:9.10.18ubuntu23) karmic; urgency=low

  * Install search file in kubuntu-default-settings.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2009 15:28:24 +0100

kubuntu-default-settings (1:9.10.18ubuntu22) karmic; urgency=low

  * Add google_kubuntu.desktop search provider for Ubuntu search,
    closes LP: #443335

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2009 15:14:01 +0100

kubuntu-default-settings (1:9.10.18ubuntu21) karmic; urgency=low

  * Add kbluetoothrc with temporary workaround for initial kbluetooth
    dialogue

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Sep 2009 14:32:51 +0100

kubuntu-default-settings (1:9.10.18ubuntu20) UNRELEASED; urgency=low

  * Return of the default kwallet

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Sep 2009 07:05:18 +0200

kubuntu-default-settings (1:9.10.18ubuntu19) karmic; urgency=low

  * Add emoticons.xml for Oxygen emoticons
  * Link the emotes folder from the Oxygen icons path to the emoticons dir\
  * Make Oxygen emoticons default via kdeglobals
  * Port package build system to dh 7
  * Nuke cdbs
  * Bump standards versin to 3.8.3
  * Nuke KDE 3 stuff
  * Move installation of non-usplash stuff from Makefile to dh_install
  * Change versioning scheme to make lintian and dch happier for 10.04 a scheme
    such as 1:10.04ubuntu1 < 1:10.04ubuntu2 etc. is to be used
  * Revise source directory structure
  * Cleanup copyright file
  * Remove search bar from dolphin (no nepomuk by default)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Sep 2009 23:27:22 +0200

kubuntu-default-settings (1:9.10.18) karmic; urgency=low

  * Compress using LZMA
  * Set Konqueror's home URL to kubuntu.org
  * Show tray icons of Kopete and Konversation again
    + at this point we only agreed to add the indecator applet so that GNOME
      apps that would expect it, can nicely integrate into KDE
    + upon upgrade the applet is not added to Plasma and thus in the current
      implementation state cause issues
    + also see 'indicator applet after upgrade' thread on kubuntu-devel

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Sep 2009 13:53:25 +0200

kubuntu-default-settings (1:9.10.17) karmic; urgency=low

  * Fixed konversationrc for logpath to work:
    - avoids this dirty $HOME folder at the user's home root

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 01 Sep 2009 20:39:51 +0200

kubuntu-default-settings (1:9.10.16) karmic; urgency=low

  [ Jonathan Riddell ]
  * Change kopete settings for message indicator, add kopete.notifyrc
    and hide systray in kopeterc

  [ Harald Sitter ]
  * Add kiobookmarksrc to don't show the places entries (as 
    seen in Dolphin) <= Konqueror is not used as file browser

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 23 Aug 2009 19:03:21 +0200

kubuntu-default-settings (1:9.10.15) karmic; urgency=low

  * Unset Arora as default browser (per voting at Kubuntu meeting)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 22 Aug 2009 17:50:24 +0200

kubuntu-default-settings (1:9.10.14) karmic; urgency=low

  * Turn on popup notification in KMail (LP: #108744) 

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 18 Aug 2009 23:13:25 +0200

kubuntu-default-settings (1:9.10.13) karmic; urgency=low

  [ Jonathan Thomas ]
  * Fix the logpath setting for konversation. (LP: #410163)
  * Also remove redundant setting of the now-default oxygen nicklist theme in
    konversationrc.

  [ Harald Sitter ]
  * Add kpackagkit to kickoff's system applications (computer tab) (LP: #408107)

  [ Jonathan Riddell ]
  * Turn off tray icon in konversation now we have message indicator

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Aug 2009 17:19:20 +0100

kubuntu-default-settings (1:9.10.12) karmic; urgency=low

  * Fixed FTBFS due to kaffeine files installed within Makefile

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 05 Aug 2009 16:18:52 +0200

kubuntu-default-settings (1:9.10.11) karmic; urgency=low

  [ Harald Sitter ]
  * KDE 3:
    - remove kaffeine icons
    - remove configs for kaffeine, k3b, konversation, kuriikwsfilter, knemo,
      kmplayer
    - remove all artwork
  * Remove unused artwork/desktoptheme (slimglow)

  [ Jonathan Thomas ]
  * Port konversationrc to KDE4

  [ Jonathan Riddell ]
  * Turn off Tip of the Day on KMail

  [ Anthony Mercatante ]
  * Fixed kopeterc :
    - Displays contact icon by default

  [ Kenneth Wimer ]
  * Fixing usplash config to fix crashes with SIGSEGV in memset_var() - related
    to #401432 from ubuntu

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 05 Aug 2009 11:08:49 +0200

kubuntu-default-settings (1:9.10.10) karmic; urgency=low

  * Don't install kdeglobals to /etc/kde4 (previously introduced workaround),
    it appears that now the settings get applied from the profile as well.


=== debian/control ===
Source: kubuntu-default-settings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), libusplash-dev (>= 0.5.30)
Standards-Version: 3.8.3
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-default-settings/ubuntu

Package: kubuntu-default-settings
Architecture: all
Depends: ${misc:Depends}, python
Description: Default settings and artwork for the Kubuntu desktop
 This package contains the default settings used by Kubuntu. It also
 includes artwork and Kubuntu branding.

Package: kubuntu-artwork-usplash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30),
 usplash (>= 0.5-30)
Provides: usplash-theme
Description: Kubuntu artwork for usplash
 The usplash startup screen for Kubuntu.

## kubuntu-default-settings 9.10.18ubuntu29

=== Makefile ===
build:
	make -C usplash

clean:
	make -C usplash clean

install:
	make -C usplash install

=== debian/changelog ===
kubuntu-default-settings (1:9.10.18ubuntu29) karmic-proposed; urgency=low

  * Update google_kubuntu.desktop with URL from Ubuntu Desktop, 
    closes LP: #468458

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Nov 2009 15:00:16 +0000

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=-g -Wall -fPIC

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zlzma

## kubuntu-default-settings 10.04ubuntu23

=== debian/changelog ===
kubuntu-default-settings (1:10.04ubuntu23) lucid; urgency=low

  * Remove the nepomukserverrc. In the abscence of a key in a user's
    nepomukserverrc, KConfig takes the config set here over the default
    given in the code.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 16 Apr 2010 10:37:44 -0400

kubuntu-default-settings (1:10.04ubuntu22) lucid; urgency=low

  * Drop kubuntu.menu introduced in ubutnu19, it breaks the classic menu,
    so I suppose we need to fix plasma after all.

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 15 Apr 2010 12:09:45 +0200

kubuntu-default-settings (1:10.04ubuntu21) lucid; urgency=low

  [ Alberto Milone ]
  * kubuntu-logo: accept a format string from mountall for the disk check
    progress, so that localization is possible.  LP: #553954.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Apr 2010 01:26:11 +0000

kubuntu-default-settings (1:10.04ubuntu20) lucid; urgency=low

  [ Harald Sitter ]
  * Add final newline to kubunt-default-settings.dirs

  [ Jonathan Riddell ]
  * Update cubecap.png for new logo
  * Update 01-kubuntu-default-setup.js to show date in clock

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 14 Apr 2010 13:32:08 +0200

kubuntu-default-settings (1:10.04ubuntu19) lucid; urgency=low

  * Add a kubuntu.menu file in the standard XDG merge path. This allows us
    to control menu content without actually patching the main menu file.
    + Please note that this *only* affects the menu. The excluded entries will
      still show up in KRunner and the like.
  * Use aforementioned menu file to get rid off systemsettings from the menu,
    the plasma implementation is failing to do it properly (LP: #553478)
  * Remove kglobalshortcutsrc:
    + Amarok shortcut changes break compability with upstream, with previous
      releases and with keyboards that have no media keys (chances are higher
      you got a windows key than fancy media keys) LP: #560773
    + The KWin shortcuts do not work (as per some bug report we won'tfixed
      because upstream thinks kwin uses too many shortcuts already and app devs
      are in a bit of a problem thus)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Apr 2010 12:18:40 +0200

kubuntu-default-settings (1:10.04ubuntu18) lucid; urgency=low

  * Revert mistaken kubuntu-logo replacement

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 10 Apr 2010 08:46:23 -0400

kubuntu-default-settings (1:10.04ubuntu17) lucid; urgency=low

  * Fix bug in 02-kubuntu-menu-icon.js that prevents execution

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 10 Apr 2010 11:51:18 +0200

kubuntu-default-settings (1:10.04ubuntu16) lucid; urgency=low

  [ Harald Sitter ]
  * Add plasma-desktop update script 02-kubuntu-menu-icon.js to migrate
    from wrongly named kubuntu-menu to start-here-kubuntu icon (LP: #559725)
    + This requires a configChanged() interface to be implemented in kickoff

  [ Ryan Kavanagh ]
  * Updated the plymouth-theme-kubuntu-logo logo with the new logo (we've got
    a pretty K now). (LP: #557220)

  [ Steve Langasek ]
  * Sync up the plymouth theme script with the version in ubuntu-logo, fixing
    a number of text display bugs.  The only remaining delta is the background
    color, and the logo name.  LP: #557102.

 -- Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>  Fri, 09 Apr 2010 21:23:53 -0400

kubuntu-default-settings (1:10.04ubuntu15) lucid; urgency=low

  [ Harald Sitter ]
  * Migrate indicatordisplay plasmoid to message-indicator in plasma updates
  * Unlock widgets before executing plasma update, re-lock afterwards
  * Reduce size of branding logo in plasma theme (LP: #554039)
  * Deactivate stupid and ugly choqok splash screen via choqokrc
  * Via dh_link link default plasma theme to oxygen, to work around oxygen
    preference over air in theme fallback list (see kde rev 987538)

  [ Chris Coulson ]
  * usr-share-kde4/services/searchproviders/google_kubuntu.desktop:
    - Use updated Query URL, and also add a Suggest URL to match
      the default Google search experience
  * share/config/konquerorrc:
    - Set CurrentEngine to google_kubuntu
  * share/config/kuriikwsfilterrc:
    - Add FavoriteSearchEngines to ensure google_kubuntu appears in the
      search-bar list

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Apr 2010 16:14:58 +0100

kubuntu-default-settings (1:10.04ubuntu14) lucid; urgency=low

  [ Harald Sitter ]
  * Only add microblog widget when absolute screen size is >=1024x768

  [ Jonathan Riddell ]
  * Add dependency on plymouth-label
  * Remove unused file kubuntu-feisty-plain.svg.gz

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 01 Apr 2010 22:30:34 +0100

kubuntu-default-settings (1:10.04ubuntu13) lucid; urgency=low

  * Update kubuntu-menu icons to match new logo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 23:28:14 +0100

kubuntu-default-settings (1:10.04ubuntu12) lucid; urgency=low

  * Update branding.svgz with new logo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 22:42:01 +0100

kubuntu-default-settings (1:10.04ubuntu11) lucid; urgency=low

  [ Jonathan Thomas ]
  * Add custom kconfig entry for an upcoming nepomuk patch. If this entry
    is present, Nepomuk will, on the first start, disable strigi if the
    system has less than 1GB of RAM. Users on < 1GB systems can re-enable
    this if they want. Removing this entry will not harm anything, other than
    causing the nepomuk patch to not work
  * Remove custom color scheme. Upstream Oxygen's rocks (LP: #551117)

  [ Richard A. Johnson ]
  * Added new logo for plymouth theme

  [ Jonathan Riddell ]
  * Remove custom font settings in kdeglobals, fontconfig defaults
    should be better

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 00:06:35 +0100

kubuntu-default-settings (1:10.04ubuntu10) lucid; urgency=low

  * Adding plymouth-theme-kubuntu-logo package
    - added debian/plymouth-theme-kubuntu-logo.install


=== debian/control ===
Source: kubuntu-default-settings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-default-settings/ubuntu

Package: kubuntu-default-settings
Architecture: all
Depends: ${misc:Depends}, python
Replaces: kdelibs5-data (<< 4:4.3.90-0ubuntu1)
Description: Default settings and artwork for the Kubuntu desktop
 This package contains the default settings used by Kubuntu. It also
 includes artwork and Kubuntu branding.

Package: plymouth-theme-kubuntu-logo
Architecture: any
Depends: ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Description: graphical boot animation and logger - kubuntu-logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default kubuntu-logo theme.
